package com.nju.svcdisambiguation.controller;

import com.nju.svcdisambiguation.service.AuthorDetailService;
import com.nju.svcdisambiguation.vo.ResponseVO;
import org.springframework.web.bind.annotation.*;

@CrossOrigin
@RestController
@RequestMapping("/author")
public class AuthorDetailController {

    private final AuthorDetailService authorDetailService;

    public AuthorDetailController(AuthorDetailService authorDetailService) {
        this.authorDetailService = authorDetailService;
    }

    @GetMapping("/detail")
    public ResponseVO getAuthorDetail(@RequestParam("id") int authorId, @RequestParam String db){
        //db = "ACM" or "IEEE"
        return authorDetailService.getAuthorDetail(authorId, db);
    }

    @GetMapping("/publication/summary")
    public ResponseVO getAuthorPublicationSummary(@RequestParam("id") int authorId, @RequestParam String db){
        //db = "ACM" or "IEEE"
        return authorDetailService.getAuthorPublicationSummary(authorId, db);
    }

    @GetMapping("/field/summary")
    public ResponseVO getAuthorFieldSummary(@RequestParam("id") int authorId, @RequestParam String db){
        //db = "ACM" or "IEEE"
        return authorDetailService.getAuthorFieldSummary(authorId, db);
    }

}
